#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	BD+ support library for Blu-ray playback
Summary(pl.UTF-8):	Biblioteka obsługująca BD+ w celu odtwarzania płyt Blu-ray
Name:		libbdplus
Version:	0.1.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://download.videolan.org/videolan/libbdplus/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	f1ad1c67943d81e1e2e3ab1c1a8f3ebb
URL:		http://www.videolan.org/developers/libbdplus.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libaacs-devel >= 0.7.0
BuildRequires:	libgcrypt-devel
BuildRequires:	libgpg-error-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libbdplus is a research project to implement the BD+ System
Specifications. This research project provides, through an open-source
library, a way to understand how the BD+ works.

%description -l pl
libbdplus to projekt badawczy mający na celu implementację
specyfikacji systemu BD. Projekt ten, poprzez bibliotekę o otwartych
źródłach, pozwala zrozumieć, jak działa BD+.

%package devel
Summary:	Header files for libbdplus library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libbdplus
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libbdplus library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libbdplus.

%package static
Summary:	Static libbdplus library
Summary(pl.UTF-8):	Statyczna biblioteka libbdplus
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libbdplus library.

%description static -l pl.UTF-8
Statyczna biblioteka libbdplus.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README.txt
%attr(755,root,root) %{_libdir}/libbdplus.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbdplus.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbdplus.so
%{_includedir}/libbdplus
%{_pkgconfigdir}/libbdplus.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbdplus.a
%endif
%changelog
* Mon Feb 16 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libbdplus.git;a=log;h=master

* Mon Feb 16 2015 Jakub Bogusz <qboosh@pld-linux.org> 4e70032
- updated to 0.1.2

* Sat Jul 12 2014 Jakub Bogusz <qboosh@pld-linux.org> fef5ea7
- updated to 0.1.1

* Sun Dec 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 24dc770
- new

